# Uses of Enum Class
org.bukkit.FireworkEffect.Type

Packages that use FireworkEffect.Type
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.

## Uses of FireworkEffect.Type in org.bukkit

Fields in org.bukkit with type parameters of type FireworkEffect.Type
Modifier and Type
Field
Description
`static final Index<String,FireworkEffect.Type>`
FireworkEffect.Type.`NAMES`
The name map.
Methods in org.bukkit that return FireworkEffect.Type
Modifier and Type
Method
Description
`@NotNull FireworkEffect.Type`
FireworkEffect.`getType()`
Get the type of the firework effect.
`static FireworkEffect.Type`
FireworkEffect.Type.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FireworkEffect.Type[]`
FireworkEffect.Type.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit with parameters of type FireworkEffect.Type
Modifier and Type
Method
Description
`@NotNull FireworkEffect.Builder`
FireworkEffect.Builder.`with(@NotNull FireworkEffect.Type type)`
Specify the type of the firework effect.